<?php

class GatewayNews
{
    private $con;

    public function __construct($con){
        $this->con = $con;
    }

    public function addNews($news)
    {
        $query = "insert into news(title,description,pubdate,link) values (:title,:description,:pubdate,:link);"; 
        $this->con->executeQuery($query, array(':title' => array($news->getTitle(), PDO::PARAM_STR),
                                      	       ':description' => array($news->getDescription(), PDO::PARAM_STR),
                                               ':pubdate' => array($news->getPubdate(), PDO::PARAM_STR),
                                               ':link' => array($news->getLink(), PDO::PARAM_STR)
                                        )
                          ); 
    }

    public function getNews()
    {
        $query = "SELECT * FROM news order by pubdate;"; 
        $this->con->executeQuery($query, array());
        $results=$this->con->getResults();
        Foreach ($results as $article){
            $listeNews[] = new News($article["title"],$article['description'],$article['pubdate'],$article['link']);
        }
        return $listeNews;
    }
} 

?>
